Companies

Count a company's title changes

Count the title changes `GET /v2/companies/{companyId}/title-changes` pages through: those of every active contact with any role at the company. 404 `record_not_found` when the company is not in the w

GET /v2/companies/{companyId}/title-changes/count

Parameters

Path parameters

companyId
string (uuid) required

Responses

200 — Successful response

Content-Type: application/json

data
object required
data.count
integer required

Example

{
  "data": {
    "count": 0
  }
}

400 — Request body failed validation.

Content-Type: application/json

(body)
any

401 — Missing or invalid API key.

Content-Type: application/json

(body)
any

403 — Valid key, insufficient permission.

Content-Type: application/json

(body)
any

404 — Resource does not exist.

Content-Type: application/json

(body)
any

409 — Request conflicts with the current state of the resource.

Content-Type: application/json

(body)
any

429 — Rate limit exceeded.

Content-Type: application/json

(body)
any

500 — Unexpected server error.

Content-Type: application/json

(body)
any

Code samples

curl https://api.prod.getdex.com/v2/companies/00000000-0000-0000-0000-000000000000/title-changes/count \
  --header 'Authorization: Bearer YOUR_API_KEY'
Copyright © 2026